phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Taylor (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (PHOENIX-1643) Ensure index usage is backward compatible for 4.2 client against 4.3 server
Date Sat, 07 Feb 2015 00:08:34 GMT

     [ https://issues.apache.org/jira/browse/PHOENIX-1643?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

James Taylor updated PHOENIX-1643:
----------------------------------
    Summary: Ensure index usage is backward compatible for 4.2 client against 4.3 server 
(was: Add default value for PColumn.getExpressionStr())

> Ensure index usage is backward compatible for 4.2 client against 4.3 server
> ---------------------------------------------------------------------------
>
>                 Key: PHOENIX-1643
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-1643
>             Project: Phoenix
>          Issue Type: Bug
>    Affects Versions: 5.0.0, 4.3
>            Reporter: Thomas D'Silva
>            Assignee: Thomas D'Silva
>             Fix For: 5.0.0, 4.3
>
>         Attachments: PHOENIX-1643-v2.patch, PHOENIX-1643.patch
>
>
> Add default value for PColumn.getExpressionStr() which defaults to the data table column
name in order to maintain b/w compatibility for older clients (<4.3)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message